Bug 47809 - Squid mit SSL Support
Squid mit SSL Support
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Squid
UCS 4.3
Other Linux
: P5 enhancement (vote)
: UCS 4.3-2-errata
Assigned To: Julia Bremer
Arvid Requate
https://wiki.univention.de/index.php/...
:
Depends on: 18756
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-13 15:38 CEST by Jürn Brodersen
Modified: 2018-10-24 17:26 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.034
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Added new build option (1.66 KB, patch)
2018-10-17 16:44 CEST, Julia Bremer
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jürn Brodersen univentionstaff 2018-09-13 15:38:13 CEST
+++ This bug was initially created as a clone of Bug #18756 +++

The build option for ssl support was renamed in squid 3.5.
--enable-ssl -> --with-openssl

If ssl support is still needed that needs to be updated, because it doesn't work at the moment.

See patches:
squid3/4.3-0-0-ucs/3.5.23-5+deb9u1/001-enable-ssl.patch
Comment 1 Julia Bremer univentionstaff 2018-10-17 16:43:54 CEST
Successful build
Package: squid3
Version: 3.5.23-5+deb9u1A~4.3.0.201810151142
Branch: ucs_4.3-0
Scope: errata4.3-2

Bug #47809: Advisory 
Changed build option for ssl support and build dependencies
Comment 2 Julia Bremer univentionstaff 2018-10-17 16:44:46 CEST
Created attachment 9706 [details]
Added new build option
Comment 3 Arvid Requate univentionstaff 2018-10-18 20:43:21 CEST
Verified:

* The build log /var/univention/buildsystem2/logs/ucs_4.3-0-0-errata4.3-2/squid3_3.5.23-5+deb9u1A~4.3.0.201810151142.log.bz2 shows that the patch has been applied and that openssl is configured and built successfully with openssl support

* Package update on amd64: Ok
  (proving that package has been build successfully for x64 too)

* /usr/sbin/squid -v shows '--enable-ssl' and '--with-openssl' as compile options

* Advisory: Ok, I've added a bit more explanation for customers
  ea7eefb932 | Adjust advisory wording
Comment 4 Arvid Requate univentionstaff 2018-10-24 17:26:59 CEST
<http://errata.software-univention.de/ucs/4.3/288.html>